import request from '@/utils/request'

// 查询网络民情负责人列表
export function listWlmqfzr(query) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr/list',
    method: 'get',
    params: query
  })
}

// 查询网络民情负责人详细
export function getWlmqfzr(id) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr/' + id,
    method: 'get'
  })
}

// 新增网络民情负责人
export function addWlmqfzr(data) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr',
    method: 'post',
    data: data
  })
}

// 修改网络民情负责人
export function updateWlmqfzr(data) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr',
    method: 'put',
    data: data
  })
}

// 删除网络民情负责人
export function delWlmqfzr(id) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr/' + id,
    method: 'delete'
  })
}

// 网络民情负责人批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/networkEcology/wlmqfzr/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}